Requirements

This section lists requirements for the following components and functions of Jamf Pro (formerly the Casper Suite):

  • Jamf Pro server

  • Package building

  • Inventory

  • Imaging

  • Remote management

  • Jamf Self Service for macOS

  • Managing mobile devices

  • Casper Focus

  • Self Service Mobile for iOS

  • Self Service Mobile for Android

Jamf Pro Server

You can host Jamf Pro on any server that meets the following requirements:

  • Java 1.8

  • MySQL 5.6.x or 5.7.x (MySQL 5.7.x is recommended)

  • Apache Tomcat 7 or 8.0.x (Tomcat 8.0.x is recommended)

Tested operating systems include:

  • macOS 10.10

  • macOS 10.11

  • macOS 10.12

  • macOS 10.13

  • Ubuntu 14.04 LTS Server

  • Ubuntu 16.04 LTS Server

  • Red Hat Enterprise Linux (RHEL) 6.8 and 7.3

  • Windows Server 2012 R2

  • Windows Server 2016

Although you can install Jamf Pro on any server that meets the minimum requirements, the Jamf Pro Installers for Mac, Linux, and Windows have additional requirements. For more information, see the Jamf Pro installation and configuration guide for your platform:

Jamf Pro Installation and Configuration Guide for Mac
Jamf Pro Installation and Configuration Guide for Linux

Jamf Pro Installation and Configuration Guide for Windows

Tested browsers for Jamf Pro are as follows:

  • Safari

  • Mozilla Firefox

  • Google Chrome

  • Microsoft Internet Explorer 10 or later

Package Building

Composer can run on the following operating systems:

  • macOS 10.7.x (Composer 9.81 or earlier)

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Composer 9.81 or earlier is available from Jamf Nation.

Inventory

Recon can run locally on the following operating systems:

  • macOS 10.7.x (Recon 9.93 or earlier)

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

  • Windows 2000

  • Windows XP

  • Windows Server 2003

  • Windows Vista

  • Windows Server 2008

  • Windows 7

Recon 9.93 or earlier is available from Jamf Nation.

Recon can enroll computers with the following operating systems:

  • macOS 10.7.x

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Imaging

Jamf Imaging (formerly Casper Imaging) can image computers with the following operating systems, provided they do not have PowerPC processors:

  • macOS 10.7.x (Jamf Imaging 9.93 or earlier)

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Jamf Imaging 9.93 or earlier is available from Jamf Nation.

Remote Management

Policies can be used to manage computers with the following operating systems:

  • macOS 10.7.x

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Jamf Remote (formerly Casper Remote) can be used to manage computers with the following operating systems, provided they do not have PowerPC processors:

  • macOS 10.7.x (Jamf Remote 9.93 or earlier)

  • macOS 10.8.x

  • macOS 10.9.x

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Jamf Remote 9.93 or earlier is available from Jamf Nation.

Jamf Self Service for macOS

Jamf Self Service for macOS 10.0.0 and later can run on the following operating systems:

  • macOS 10.10.x

  • macOS 10.11.x

  • macOS 10.12.x

  • macOS 10.13.x

Computers with macOS 10.9 or earlier must use Self Service 9.101.0 or earlier. For more information, see the Jamf Pro Compatibility Reference for macOS Knowledge Base article.

Managing Mobile Devices

Jamf Pro can be used to enroll and manage institutionally owned iOS and tvOS devices, and personally owned iOS and Android devices.

You can enroll and manage institutionally owned mobile devices that meet the following requirements:

  • iPads, iPhones, or iPod touches with iOS 4 or later

  • Apple TV devices with Apple TV software based on iOS 7 or later, or devices with tvOS 10.2 or later

For information on the management capabilities available for institutionally owned mobile devices, see Management Capabilities for Institutionally Owned Devices.

You can enroll and manage personally owned mobile devices that meet the following requirements:

  • iPads, iPhones, or iPod touches with iOS 4 or later (iOS 7 or later is recommended)

  • Smart phones or tablets with Android 4.0.3 or later

For information on the management capabilities available for personally owned mobile devices, see Management Capabilities for Personally Owned Devices.

Casper Focus

Casper Focus can run on teacher mobile devices with iOS 7 or later.

Student mobile devices that are assigned to classes in Casper Focus must have iOS 7 or later and must be managed by Jamf Pro 8.7 or later.

For information on feature-specific Casper Focus requirements for student mobile devices, see Casper Focus.

Self Service Mobile for iOS

Self Service Mobile for iOS can run on mobile devices with iOS 7 or later that are managed by Jamf Pro 9.4 or later.

Note: Devices with iOS 11 or later must use Self Service 9.101.0 or later. Earlier versions of Self Service will not work on devices with iOS 11 or later.

Self Service Mobile for Android can run on mobile devices with Android 4.0.3 or later. In addition, Jamf Pro 9.4 or later must be installed in your environment.

Copyright | Privacy | Terms of Use | Security
© copyright 2002-2017 Jamf. All rights reserved.